export default function useColumns() {

  const FormColumns = [
    {
      item: { title: '经销商名称', key: 'dealerName', },
      attr: {
        is: "el-input",
        clearable: true,
      }
    },
    {
      item: { title: '授权区/医院', key: 'authorizedAreaName', },
      attr: {
        is: "el-input",
        clearable: true,
      }
    },
    {
      item: { title: '授权产品', key: 'authorizedProductsName', },
      attr: {
        is: "el-input",
        clearable: true,
      }
    },
    {
      item: { title: '授权期限', key: 'time', },
      attr: {
        is: "el-date-wrapper",
        clearable: true,
      }
    },
    {
      item: { title: '授权书开具时间', key: 'issueTime', },
      attr: {
        is: "el-date-picker",
        valueFormat: "yyyy-MM-dd",
        clearable: true,
      }
    },
  ]

  return { FormColumns }
}